%define apiver  2.0
%define major   0
%define libname     %mklibname sdl %{apiver} %{major}
%define develname   %mklibname sdl %{apiver} -d
%define develsname  %mklibname sdl %{apiver} -d -s

Name:       sdl2
Summary:    Simple DirectMedia Layer 2
Version:    2.0.9
Release:    %mkrel 1
License:    Zlib
Group:      System/Libraries
URL:        http://wiki.libsdl.org/FrontPage
Source0:    http://www.libsdl.org/release/SDL2-%{version}.tar.gz

BuildRequires:  doxygen
BuildRequires:  libnas-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
This is the Simple DirectMedia Layer 2, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

SDL fully supports high end 3D graphics using Direct3D and OpenGL,
and has a 2D graphics API for emulators and classic games.

%package -n %{libname}
Summary:    Main library for %{name}
Group:      System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:    Headers for developing programs that use %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   SDL2-devel = %{version}-%{release}
Obsoletes:  %{_lib}sdl-devel < 2.0.0-2
Requires:   alsa-lib-devel
Requires:   pkgconfig(gl)
Requires:   pkgconfig(glu)
Requires:   pkgconfig(egl)

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:    Static library for developing static programs that use %{name}
Group:      Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package docs
Summary:    Documentation for Simple DirectMedia Layer 2 (SDL2)
Group:      Documentation
BuildArch:  noarch

%description docs
This package contains the generated API documentation for the SDL2 library.

%prep
%autosetup -p1 -n SDL2-%{version}

%build
%configure2_5x \
	--enable-sdl-dlopen \
	--enable-alsa-shared \
	--enable-esd-shared \
	--enable-pulseaudio-shared \
	--enable-arts-shared \
	--enable-nas-shared \
	--enable-sndio-shared \
	--enable-x11-shared \
	--enable-directfb-shared \
	--enable-fusionsound-shared \
	--enable-video-wayland \
	--disable-rpath \
	#End

%make_build

# generate docs
pushd include
 doxygen -g
 doxygen -w html headerFile footerFile styleSheetFile doxyfile
 doxygen
popd

%install
%make_install

%files -n %{libname}
%doc README-SDL.txt README.txt
%doc CREDITS.txt COPYING.txt
%doc BUGS.txt TODO.txt WhatsNew.txt
%{_libdir}/libSDL2-%{apiver}.so.%{major}
%{_libdir}/libSDL2-%{apiver}.so.%{major}.*

%files -n %{develname}
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/cmake/SDL2/
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_includedir}/SDL2/*.h

%files -n %{develsname}
%{_libdir}/*.la
%{_libdir}/*.a

%files docs
%doc include/html


%changelog
* Fri Nov 16 2018 akien <akien> 2.0.9-1.mga6
+ Revision: 1330134
- Version 2.0.9, needed for SDL2_image 2.0.4 (mga#22769)
- Add upstream patch to fix dynapi system loader resolving the initializer to the wrong version
- Upstream patch to fix CVE-2017-2888 (mga#21882)
- Fix previously unapplied P0, fixing sdl#3571

* Sat Jan 28 2017 akien <akien> 2.0.5-2.mga6
+ Revision: 1083868
- Add upstream (and own :)) patch to fix MessageBox display

* Fri Oct 21 2016 akien <akien> 2.0.5-1.mga6
+ Revision: 1062901
- Version 2.0.5

* Fri Apr 15 2016 tv <tv> 2.0.4-3.mga6
+ Revision: 1001740
- make devel package pull some commonly used backend devel pkgs

* Fri Apr 15 2016 tv <tv> 2.0.4-2.mga6
+ Revision: 1001624
- provides SDL2-devel

* Sun Jan 10 2016 akien <akien> 2.0.4-1.mga6
+ Revision: 921069
- Version 2.0.4

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 748805
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 blino <blino> 2.0.3-3.mga5
+ Revision: 736266
- enable wayland video driver

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 689089
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 akien <akien> 2.0.3-1.mga5
+ Revision: 612807
- New upstream bugfix version

* Wed Mar 12 2014 akien <akien> 2.0.2-1.mga5
+ Revision: 602723
- New version 2.0.2

* Sun Dec 15 2013 blue_prawn <blue_prawn> 2.0.1-1.mga4
+ Revision: 557113
- updated to last version 2.0.1
- new wiki FrontPage

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-9.mga4
+ Revision: 541160
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 blue_prawn <blue_prawn> 2.0.0-8.mga4
+ Revision: 495199
- static libs split

* Wed Oct 09 2013 shadow95 <shadow95> 2.0.0-7.mga4
+ Revision: 494253
- rebuild with enable share module
- enable-sdl-dlopen

* Tue Aug 13 2013 fwang <fwang> 2.0.0-6.mga4
+ Revision: 466078
- disable shared object loading always

* Tue Aug 13 2013 fwang <fwang> 2.0.0-5.mga4
+ Revision: 466067
- final stable release tarball

* Thu Aug 08 2013 wally <wally> 2.0.0-4.mga4
+ Revision: 464720
- don't use dlopen() to load shared libs
- disable rpath
- disable static build (related fixes from OpenMandriva)

* Thu Aug 08 2013 wally <wally> 2.0.0-3.mga4
+ Revision: 464704
- fix devel pkg obsoletes
- add missing BRs

* Thu Aug 08 2013 wally <wally> 2.0.0-2.mga4
+ Revision: 464689
- tighten reqs to ensure we have always latest libs installed
- rename devel pkg
- add common provides for devel pkg
- add 'major check' to files section
- drop unneeded provides

* Thu Aug 08 2013 blue_prawn <blue_prawn> 2.0.0-1.mga4
+ Revision: 464667
- build requires doxygen for the generated api docs
- build requires X
- imported package sdl2

